<!DOCTYPE html>
<html>
    <head>
	<meta charset="utf-8"/>
	<title>Opsperator</title>
	<link rel="stylesheet" href="style.css"/>
    </head>
    <body>
	<div class="navbar">
	    <a href="./index.html">Description</a>
	    <a href="./products.html">Products Index</a>
	    <a href="./screenshots.html">ScreenShots</a>
	    &nbsp;|&nbsp;
	    <a target=_blank' href="https://gitlab.com/synacksynack/opsperator/docker-operator/">Kubernetes Operator</a>
	    <a target=_blank' href="https://gitlab.com/synacksynack/opsperator/">Opsperator Repositories</a>
	    <a target=_blank' href="https://github.com/Worteks/bbb-ansible/">BigBlueButton Deployment</a>
	    <a target=_blank' href="https://gitlab.com/synacksynack/opsperator/docker-operator/-/issues/new">Report a Bug</a>
	    &nbsp;|&nbsp;
	    <a target=_blank' href="https://www.worteks.com/contact-en/">Contact</a>
	</div>

	<h1>Opsperator</h1>
	<h2>Kubernetes Native Deployment Stack</h2>

	<div id='prodtable' width='100%'>
	    <table id='productsidx' width='100%'>
		<tr>
		    <th width='20%'>Component</th>
		    <th width='20%'>Admin Account</th>
		    <th width='20%'>LDAP Auth</th>
		    <th width='20%'>LemonLDAP Auth</th>
		</tr>
		<tr>
		    <td><b>Airsonic</b></td>
		    <td>in Secret</td>
		    <td>Optional (GA)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>AlertManager</b></td>
		    <td>N/A</td>
		    <td>Optional<br/>(GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>Ara</b></td>
		    <td>TODO</td>
		    <td>Optional<br/>(GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>Artifactory</b><br/>JFrog Artifactory OSS</td>
		    <td colspan=3>TODO</td>
		</tr>
		<tr>
		    <td><b>AWX</b></td>
		    <td>in Secret</td>
		    <td>TODO</td>
		    <td>TODO</td>
		</tr>
		<tr>
		    <td><b>Backups</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>BigBlueButton CSP</b><br/>Conferences Streaming Platform</td>
		    <td colspan=3>TODO</td>
		</tr>
		<tr>
		    <td><b>CoreOS Clair</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>Cyrus</b></td>
		    <td>in Secret</td>
		    <td>Mandatory<br/>(GA / Saslauthd)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>Diaspora</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>DokuWiki</b></td>
		    <td>TODO</td>
		    <td>TODO</td>
		    <td>Optional(TP / DokuWiki<br/>LemonLDAP Plugin)</td>
		</tr>
		<tr>
		    <td><b>Draw</b></td>
		    <td>N/A</td>
		    <td>Optional<br/>(GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>EFK</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>Errbit</b></td>
		    <td>in Secret</td>
		    <td>Optional<br/>(GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>EtherPad</b></td>
		    <td>N/A</td>
		    <td>TODO</td>
		    <td>Optional<br/>(DEV / NodeJS Handler)</td>
		</tr>
		<tr>
		    <td><b>FusionDirectory</b></td>
		    <td>N/A</td>
		    <td>Mandatory (GA / Fusion login)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>Gerrit</b></td>
		    <td>in Secret</td>
		    <td>Optional (TP)</td>
		    <td>TODO</td>
		</tr>
		<tr>
		    <td><b>Gitea</b></td>
		    <td>in Secret</td>
		    <td>Optional (GA)</td>
		    <td>TODO</td>
		</tr>
		<tr>
		    <td><b>Gogs</b></td>
		    <td>in Secret</td>
		    <td>Optional (DEV)</td>
		    <td>TODO</td>
		</tr>
		<tr>
		    <td><b>Grafana</b></td>
		    <td>in Secret</td>
		    <td>Optional (TP)</td>
		    <td>Optional<br/>(DEV / OIDC)</td>
		</tr>
		<tr>
		    <td><b>Greenlight</b></td>
		    <td>N/A</td>
		    <td>Optional (GA)</td>
		    <td>Optional (TP / SAML)</td>
		</tr>
		<tr>
		    <td><b>Jitsi</b></td>
		    <td>N/A</td>
		    <td>Optional (DEV)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>Jenkins</b></td>
		    <td>in Secret (k8s)<br/>or OKD oauth</td>
		    <td>N/A</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>Kibana</b><br/>Cluster Logging</td>
		    <td>N/A</td>
		    <td>Optional<br/>(GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>Kiwi IRC</b></td>
		    <td>N/A</td>
		    <td>Optional (GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>KubeVirt</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>LemonLDAP-NG</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>MailCatcher</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>m242/Maildrop</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>Mailhog</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>Mastodon</b></td>
		    <td>in Secret</td>
		    <td>Optional (TP)</td>
		    <td>TODO</td>
		</tr>
		<tr>
		    <td><b>Matomo</b></td>
		    <td>in Secret</td>
		    <td>Optional (TP)</td>
		    <td>Optional<br/>(TP / OIDC)</td>
		</tr>
		<tr>
		    <td><b>Mattermost</b><br/>Teams Edition</td>
		    <td>in Secret</td>
		    <td>Optional (DEV)</td>
		    <td>Optional<br/>(TP / OIDC)</td>
		</tr>
		<tr>
		    <td><b>Medusa</b></td>
		    <td>in Secret</td>
		    <td>Optional (GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>MinIO</b></td>
		    <td>in Secret</td>
		    <td>N/A</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>Munin</b></td>
		    <td>N/A</td>
		    <td>TODO</td>
		    <td>TODO</td>
		</tr>
		<tr>
		    <td><b>NextCloud</b></td>
		    <td>in Secret</td>
		    <td>Optional (GA)</td>
		    <td>Optional<br/>(GA / SAML)</td>
		</tr>
		<tr>
		    <td><b>Nexus</b><br/>Sonatye Nexus3 OSS</td>
		    <td>in Secret</td>
		    <td>Optional (GA)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>Newznab</b></td>
		    <td>in Secret</td>
		    <td>Optional (TP)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>OpenLDAP</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>OpenSearch Dashboards</b><br/>Cluster Logging</td>
		    <td>N/A</td>
		    <td>Optional<br/>(GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>OrangeAssassin</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>PeerTube</b></td>
		    <td>in Secret</td>
		    <td>Optional (GA)</td>
		    <td>Optional (GA / SAML)</td>
		</tr>
		<tr>
		    <td><b>PHP LDAP Admin</b></td>
		    <td>N/A</td>
		    <td>Mandatory (GA)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>Postfix</b></td>
		    <td>N/A</td>
		    <td>Mandatory<br/>(GA / Saslauthd)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>Prometheus</b></td>
		    <td>in Secret</td>
		    <td>Optional<br/>(GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>RadosGW</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>ReleaseBell</b></td>
		    <td>N/A</td>
		    <td>Optional (DEV)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>Registry</b></td>
		    <td colspan=3>N/A</td>
		    </tr>
		<tr>
		    <td><b>RocketChat</b></td>
		    <td>in Secret</td>
		    <td>Optional (GA)</td>
		    <td>Optional<br/>(GA / SAML)</td>
		</tr>
		<tr>
		    <td><b>Roundcube</b></td>
		    <td>N/A</td>
		    <td>Mandatory<br/>(GA / via IMAP Login)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>Rspamd</b></td>
		    <td>in Secret</td>
		    <td>N/A</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>Scalelite</b><br/>BigBlueButton LoadBalancer</td>
		    <td colspan=3>N/A - uses BigBlueButton API</td>
		</tr>
		<tr>
		    <td><b>Self Service Password</b><br/>(LDAP Toolbox Project)</td>
		    <td>N/A</td>
		    <td>Mandatory (GA)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>S3Explorer</b><br/>(for Ceph RadosGW)</td>
		    <td colspan='3'>N/A - uses S3 Authentication</td>
		</tr>
		<tr>
		    <td><b>SABnzbd</b></td>
		    <td>in Secret</td>
		    <td>Optional<br/>(GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>ServiceDesk</b><br/>(LDAP Toolbox Project)</td>
		    <td>N/A</td>
		    <td>Mandatory<br/>(GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>SonarQube</b></td>
		    <td>in Secret</td>
		    <td>Optional (GA)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>SOGo</b></td>
		    <td>N/A</td>
		    <td>Mandatory<br/>(TP / via IMAP Login)</td>
		    <td>TODO</td>
		</tr>
		<tr>
		    <td><b>SOPlanning</b></td>
		    <td>in Secret</td>
		    <td>Optional (GA)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>Squid</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>Sympa</b></td>
		    <td>N/A</td>
		    <td>Optional<br/>(TP / Sympa LDAP Auth)</td>
		    <td>Optional<br/>(TP / Apache Handler)</td>
		</tr>
		<tr>
		    <td><b>SysPass</b></td>
		    <td>in Secret</td>
		    <td>Optional (TP)</td>
		    <td>N/A</td>
		</tr>
		<tr>
		    <td><b>Tekton</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>Thanos</b></td>
		    <td>in Secret</td>
		    <td>Optional<br/>(GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>TinyTinyRSS</b></td>
		    <td>in Secret</td>
		    <td>Optional (TP / TinyTinyRSS<br/>LDAP Auth Plugin)</td>
		    <td>Optional<br/>(TP / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>Transmission</b></td>
		    <td>in Secret</td>
		    <td>Optional<br/>(GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>Trivy</b></td>
		    <td colspan=3>N/A</td>
		</tr>
		<tr>
		    <td><b>Wekan</b></td>
		    <td>N/A</td>
		    <td>Optional (GA)</td>
		    <td>Optional<br/>(GA / OIDC)</td>
		</tr>
		<tr>
		    <td><b>WhitePages</b><br/>(LDAP Toolbox Project)</td>
		    <td>N/A</td>
		    <td>Mandatory (GA / Apache authldap)</td>
		    <td>Optional<br/>(GA / Apache authopenid)</td>
		</tr>
		<tr>
		    <td><b>WordPress</b></td>
		    <td>N/A</td>
		    <td>Optional (GA)</td>
		    <td>Optional<br/>(TP / CAS)</td>
		</tr>
		<tr>
		    <td><b>Z-Push</b></td>
		    <td>N/A</td>
		    <td>Mandatory<br/>(DEV / via IMAP Login)</td>
		    <td>N/A</td>
		</tr>
	    </table>
	</div>
    </body>
</html>
